<style>
    #root {
        padding: 20px;

        border-radius: var(--large-br);
        background: var(--foreground);

        box-shadow: var(--primary-shadow);

        display: grid;
        grid-template-columns: auto;
        grid-template-rows: auto auto;
        gap: 10px;
    }

    #content {
        display: grid;
        gap: 30px;
        grid-template-columns: auto auto;
    }
</style>

<script>
    let currentTab = "home";
    let currentSong = {};

    let rootAudio = {};

    import Header from './main/header.svelte';
    import Sidebar from './main/sidebar.svelte';
    import Home from './main/tab_home.svelte';
</script>

<!-- svelte-ignore a11y-media-has-caption -->
<audio
src={rootAudio.src}
bind:currentTime={rootAudio.time}
bind:duration={rootAudio.duration}
bind:paused={rootAudio.paused}
onloadeddata="this.play()"
>
</audio>

<div id="root">
    <div>
        <Header bind:currentSong bind:rootAudio />
    </div>

    <div id="content">
        <Sidebar bind:currentTab />
        
        {#if currentTab == "home"}
            <Home bind:currentSong bind:rootAudio />
        {/if}

    </div>
</div>